Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network241.2.128.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
241.2.128.0
Broadcast address
241.2.159.255
First usable
241.2.128.1
Last usable
241.2.159.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F1028000 · Integer 4043472896 to 4043481087
Reverse DNS zones
128.2.241.in-addr.arpa
129.2.241.in-addr.arpa
130.2.241.in-addr.arpa
131.2.241.in-addr.arpa
132.2.241.in-addr.arpa
133.2.241.in-addr.arpa
134.2.241.in-addr.arpa
135.2.241.in-addr.arpa
136.2.241.in-addr.arpa
137.2.241.in-addr.arpa
138.2.241.in-addr.arpa
139.2.241.in-addr.arpa
140.2.241.in-addr.arpa
141.2.241.in-addr.arpa
142.2.241.in-addr.arpa
143.2.241.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110001.00000010.10000000.00000000241.2.128.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11110001.00000010.10000000.00000000241.2.128.0
Broadcast11110001.00000010.10011111.11111111241.2.159.255
Split into smaller subnets/28

241.2.128.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1241.2.128.0/28241.2.128.1 to 241.2.128.14241.2.128.1514
2241.2.128.16/28241.2.128.17 to 241.2.128.30241.2.128.3114
3241.2.128.32/28241.2.128.33 to 241.2.128.46241.2.128.4714
4241.2.128.48/28241.2.128.49 to 241.2.128.62241.2.128.6314
5241.2.128.64/28241.2.128.65 to 241.2.128.78241.2.128.7914
6241.2.128.80/28241.2.128.81 to 241.2.128.94241.2.128.9514
7241.2.128.96/28241.2.128.97 to 241.2.128.110241.2.128.11114
8241.2.128.112/28241.2.128.113 to 241.2.128.126241.2.128.12714
9241.2.128.128/28241.2.128.129 to 241.2.128.142241.2.128.14314
10241.2.128.144/28241.2.128.145 to 241.2.128.158241.2.128.15914
11241.2.128.160/28241.2.128.161 to 241.2.128.174241.2.128.17514
12241.2.128.176/28241.2.128.177 to 241.2.128.190241.2.128.19114
13241.2.128.192/28241.2.128.193 to 241.2.128.206241.2.128.20714
14241.2.128.208/28241.2.128.209 to 241.2.128.222241.2.128.22314
15241.2.128.224/28241.2.128.225 to 241.2.128.238241.2.128.23914
16241.2.128.240/28241.2.128.241 to 241.2.128.254241.2.128.25514
17241.2.129.0/28241.2.129.1 to 241.2.129.14241.2.129.1514
18241.2.129.16/28241.2.129.17 to 241.2.129.30241.2.129.3114
19241.2.129.32/28241.2.129.33 to 241.2.129.46241.2.129.4714
20241.2.129.48/28241.2.129.49 to 241.2.129.62241.2.129.6314
21241.2.129.64/28241.2.129.65 to 241.2.129.78241.2.129.7914
22241.2.129.80/28241.2.129.81 to 241.2.129.94241.2.129.9514
23241.2.129.96/28241.2.129.97 to 241.2.129.110241.2.129.11114
24241.2.129.112/28241.2.129.113 to 241.2.129.126241.2.129.12714
25241.2.129.128/28241.2.129.129 to 241.2.129.142241.2.129.14314
26241.2.129.144/28241.2.129.145 to 241.2.129.158241.2.129.15914
27241.2.129.160/28241.2.129.161 to 241.2.129.174241.2.129.17514
28241.2.129.176/28241.2.129.177 to 241.2.129.190241.2.129.19114
29241.2.129.192/28241.2.129.193 to 241.2.129.206241.2.129.20714
30241.2.129.208/28241.2.129.209 to 241.2.129.222241.2.129.22314
31241.2.129.224/28241.2.129.225 to 241.2.129.238241.2.129.23914
32241.2.129.240/28241.2.129.241 to 241.2.129.254241.2.129.25514
33241.2.130.0/28241.2.130.1 to 241.2.130.14241.2.130.1514
34241.2.130.16/28241.2.130.17 to 241.2.130.30241.2.130.3114
35241.2.130.32/28241.2.130.33 to 241.2.130.46241.2.130.4714
36241.2.130.48/28241.2.130.49 to 241.2.130.62241.2.130.6314
37241.2.130.64/28241.2.130.65 to 241.2.130.78241.2.130.7914
38241.2.130.80/28241.2.130.81 to 241.2.130.94241.2.130.9514
39241.2.130.96/28241.2.130.97 to 241.2.130.110241.2.130.11114
40241.2.130.112/28241.2.130.113 to 241.2.130.126241.2.130.12714
41241.2.130.128/28241.2.130.129 to 241.2.130.142241.2.130.14314
42241.2.130.144/28241.2.130.145 to 241.2.130.158241.2.130.15914
43241.2.130.160/28241.2.130.161 to 241.2.130.174241.2.130.17514
44241.2.130.176/28241.2.130.177 to 241.2.130.190241.2.130.19114
45241.2.130.192/28241.2.130.193 to 241.2.130.206241.2.130.20714
46241.2.130.208/28241.2.130.209 to 241.2.130.222241.2.130.22314
47241.2.130.224/28241.2.130.225 to 241.2.130.238241.2.130.23914
48241.2.130.240/28241.2.130.241 to 241.2.130.254241.2.130.25514
49241.2.131.0/28241.2.131.1 to 241.2.131.14241.2.131.1514
50241.2.131.16/28241.2.131.17 to 241.2.131.30241.2.131.3114
51241.2.131.32/28241.2.131.33 to 241.2.131.46241.2.131.4714
52241.2.131.48/28241.2.131.49 to 241.2.131.62241.2.131.6314
53241.2.131.64/28241.2.131.65 to 241.2.131.78241.2.131.7914
54241.2.131.80/28241.2.131.81 to 241.2.131.94241.2.131.9514
55241.2.131.96/28241.2.131.97 to 241.2.131.110241.2.131.11114
56241.2.131.112/28241.2.131.113 to 241.2.131.126241.2.131.12714
57241.2.131.128/28241.2.131.129 to 241.2.131.142241.2.131.14314
58241.2.131.144/28241.2.131.145 to 241.2.131.158241.2.131.15914
59241.2.131.160/28241.2.131.161 to 241.2.131.174241.2.131.17514
60241.2.131.176/28241.2.131.177 to 241.2.131.190241.2.131.19114
61241.2.131.192/28241.2.131.193 to 241.2.131.206241.2.131.20714
62241.2.131.208/28241.2.131.209 to 241.2.131.222241.2.131.22314
63241.2.131.224/28241.2.131.225 to 241.2.131.238241.2.131.23914
64241.2.131.240/28241.2.131.241 to 241.2.131.254241.2.131.25514
65241.2.132.0/28241.2.132.1 to 241.2.132.14241.2.132.1514
66241.2.132.16/28241.2.132.17 to 241.2.132.30241.2.132.3114
67241.2.132.32/28241.2.132.33 to 241.2.132.46241.2.132.4714
68241.2.132.48/28241.2.132.49 to 241.2.132.62241.2.132.6314
69241.2.132.64/28241.2.132.65 to 241.2.132.78241.2.132.7914
70241.2.132.80/28241.2.132.81 to 241.2.132.94241.2.132.9514
71241.2.132.96/28241.2.132.97 to 241.2.132.110241.2.132.11114
72241.2.132.112/28241.2.132.113 to 241.2.132.126241.2.132.12714
73241.2.132.128/28241.2.132.129 to 241.2.132.142241.2.132.14314
74241.2.132.144/28241.2.132.145 to 241.2.132.158241.2.132.15914
75241.2.132.160/28241.2.132.161 to 241.2.132.174241.2.132.17514
76241.2.132.176/28241.2.132.177 to 241.2.132.190241.2.132.19114
77241.2.132.192/28241.2.132.193 to 241.2.132.206241.2.132.20714
78241.2.132.208/28241.2.132.209 to 241.2.132.222241.2.132.22314
79241.2.132.224/28241.2.132.225 to 241.2.132.238241.2.132.23914
80241.2.132.240/28241.2.132.241 to 241.2.132.254241.2.132.25514
81241.2.133.0/28241.2.133.1 to 241.2.133.14241.2.133.1514
82241.2.133.16/28241.2.133.17 to 241.2.133.30241.2.133.3114
83241.2.133.32/28241.2.133.33 to 241.2.133.46241.2.133.4714
84241.2.133.48/28241.2.133.49 to 241.2.133.62241.2.133.6314
85241.2.133.64/28241.2.133.65 to 241.2.133.78241.2.133.7914
86241.2.133.80/28241.2.133.81 to 241.2.133.94241.2.133.9514
87241.2.133.96/28241.2.133.97 to 241.2.133.110241.2.133.11114
88241.2.133.112/28241.2.133.113 to 241.2.133.126241.2.133.12714
89241.2.133.128/28241.2.133.129 to 241.2.133.142241.2.133.14314
90241.2.133.144/28241.2.133.145 to 241.2.133.158241.2.133.15914
91241.2.133.160/28241.2.133.161 to 241.2.133.174241.2.133.17514
92241.2.133.176/28241.2.133.177 to 241.2.133.190241.2.133.19114
93241.2.133.192/28241.2.133.193 to 241.2.133.206241.2.133.20714
94241.2.133.208/28241.2.133.209 to 241.2.133.222241.2.133.22314
95241.2.133.224/28241.2.133.225 to 241.2.133.238241.2.133.23914
96241.2.133.240/28241.2.133.241 to 241.2.133.254241.2.133.25514
97241.2.134.0/28241.2.134.1 to 241.2.134.14241.2.134.1514
98241.2.134.16/28241.2.134.17 to 241.2.134.30241.2.134.3114
99241.2.134.32/28241.2.134.33 to 241.2.134.46241.2.134.4714
100241.2.134.48/28241.2.134.49 to 241.2.134.62241.2.134.6314
101241.2.134.64/28241.2.134.65 to 241.2.134.78241.2.134.7914
102241.2.134.80/28241.2.134.81 to 241.2.134.94241.2.134.9514
103241.2.134.96/28241.2.134.97 to 241.2.134.110241.2.134.11114
104241.2.134.112/28241.2.134.113 to 241.2.134.126241.2.134.12714
105241.2.134.128/28241.2.134.129 to 241.2.134.142241.2.134.14314
106241.2.134.144/28241.2.134.145 to 241.2.134.158241.2.134.15914
107241.2.134.160/28241.2.134.161 to 241.2.134.174241.2.134.17514
108241.2.134.176/28241.2.134.177 to 241.2.134.190241.2.134.19114
109241.2.134.192/28241.2.134.193 to 241.2.134.206241.2.134.20714
110241.2.134.208/28241.2.134.209 to 241.2.134.222241.2.134.22314
111241.2.134.224/28241.2.134.225 to 241.2.134.238241.2.134.23914
112241.2.134.240/28241.2.134.241 to 241.2.134.254241.2.134.25514
113241.2.135.0/28241.2.135.1 to 241.2.135.14241.2.135.1514
114241.2.135.16/28241.2.135.17 to 241.2.135.30241.2.135.3114
115241.2.135.32/28241.2.135.33 to 241.2.135.46241.2.135.4714
116241.2.135.48/28241.2.135.49 to 241.2.135.62241.2.135.6314
117241.2.135.64/28241.2.135.65 to 241.2.135.78241.2.135.7914
118241.2.135.80/28241.2.135.81 to 241.2.135.94241.2.135.9514
119241.2.135.96/28241.2.135.97 to 241.2.135.110241.2.135.11114
120241.2.135.112/28241.2.135.113 to 241.2.135.126241.2.135.12714
121241.2.135.128/28241.2.135.129 to 241.2.135.142241.2.135.14314
122241.2.135.144/28241.2.135.145 to 241.2.135.158241.2.135.15914
123241.2.135.160/28241.2.135.161 to 241.2.135.174241.2.135.17514
124241.2.135.176/28241.2.135.177 to 241.2.135.190241.2.135.19114
125241.2.135.192/28241.2.135.193 to 241.2.135.206241.2.135.20714
126241.2.135.208/28241.2.135.209 to 241.2.135.222241.2.135.22314
127241.2.135.224/28241.2.135.225 to 241.2.135.238241.2.135.23914
128241.2.135.240/28241.2.135.241 to 241.2.135.254241.2.135.25514
129241.2.136.0/28241.2.136.1 to 241.2.136.14241.2.136.1514
130241.2.136.16/28241.2.136.17 to 241.2.136.30241.2.136.3114
131241.2.136.32/28241.2.136.33 to 241.2.136.46241.2.136.4714
132241.2.136.48/28241.2.136.49 to 241.2.136.62241.2.136.6314
133241.2.136.64/28241.2.136.65 to 241.2.136.78241.2.136.7914
134241.2.136.80/28241.2.136.81 to 241.2.136.94241.2.136.9514
135241.2.136.96/28241.2.136.97 to 241.2.136.110241.2.136.11114
136241.2.136.112/28241.2.136.113 to 241.2.136.126241.2.136.12714
137241.2.136.128/28241.2.136.129 to 241.2.136.142241.2.136.14314
138241.2.136.144/28241.2.136.145 to 241.2.136.158241.2.136.15914
139241.2.136.160/28241.2.136.161 to 241.2.136.174241.2.136.17514
140241.2.136.176/28241.2.136.177 to 241.2.136.190241.2.136.19114
141241.2.136.192/28241.2.136.193 to 241.2.136.206241.2.136.20714
142241.2.136.208/28241.2.136.209 to 241.2.136.222241.2.136.22314
143241.2.136.224/28241.2.136.225 to 241.2.136.238241.2.136.23914
144241.2.136.240/28241.2.136.241 to 241.2.136.254241.2.136.25514
145241.2.137.0/28241.2.137.1 to 241.2.137.14241.2.137.1514
146241.2.137.16/28241.2.137.17 to 241.2.137.30241.2.137.3114
147241.2.137.32/28241.2.137.33 to 241.2.137.46241.2.137.4714
148241.2.137.48/28241.2.137.49 to 241.2.137.62241.2.137.6314
149241.2.137.64/28241.2.137.65 to 241.2.137.78241.2.137.7914
150241.2.137.80/28241.2.137.81 to 241.2.137.94241.2.137.9514
151241.2.137.96/28241.2.137.97 to 241.2.137.110241.2.137.11114
152241.2.137.112/28241.2.137.113 to 241.2.137.126241.2.137.12714
153241.2.137.128/28241.2.137.129 to 241.2.137.142241.2.137.14314
154241.2.137.144/28241.2.137.145 to 241.2.137.158241.2.137.15914
155241.2.137.160/28241.2.137.161 to 241.2.137.174241.2.137.17514
156241.2.137.176/28241.2.137.177 to 241.2.137.190241.2.137.19114
157241.2.137.192/28241.2.137.193 to 241.2.137.206241.2.137.20714
158241.2.137.208/28241.2.137.209 to 241.2.137.222241.2.137.22314
159241.2.137.224/28241.2.137.225 to 241.2.137.238241.2.137.23914
160241.2.137.240/28241.2.137.241 to 241.2.137.254241.2.137.25514
161241.2.138.0/28241.2.138.1 to 241.2.138.14241.2.138.1514
162241.2.138.16/28241.2.138.17 to 241.2.138.30241.2.138.3114
163241.2.138.32/28241.2.138.33 to 241.2.138.46241.2.138.4714
164241.2.138.48/28241.2.138.49 to 241.2.138.62241.2.138.6314
165241.2.138.64/28241.2.138.65 to 241.2.138.78241.2.138.7914
166241.2.138.80/28241.2.138.81 to 241.2.138.94241.2.138.9514
167241.2.138.96/28241.2.138.97 to 241.2.138.110241.2.138.11114
168241.2.138.112/28241.2.138.113 to 241.2.138.126241.2.138.12714
169241.2.138.128/28241.2.138.129 to 241.2.138.142241.2.138.14314
170241.2.138.144/28241.2.138.145 to 241.2.138.158241.2.138.15914
171241.2.138.160/28241.2.138.161 to 241.2.138.174241.2.138.17514
172241.2.138.176/28241.2.138.177 to 241.2.138.190241.2.138.19114
173241.2.138.192/28241.2.138.193 to 241.2.138.206241.2.138.20714
174241.2.138.208/28241.2.138.209 to 241.2.138.222241.2.138.22314
175241.2.138.224/28241.2.138.225 to 241.2.138.238241.2.138.23914
176241.2.138.240/28241.2.138.241 to 241.2.138.254241.2.138.25514
177241.2.139.0/28241.2.139.1 to 241.2.139.14241.2.139.1514
178241.2.139.16/28241.2.139.17 to 241.2.139.30241.2.139.3114
179241.2.139.32/28241.2.139.33 to 241.2.139.46241.2.139.4714
180241.2.139.48/28241.2.139.49 to 241.2.139.62241.2.139.6314
181241.2.139.64/28241.2.139.65 to 241.2.139.78241.2.139.7914
182241.2.139.80/28241.2.139.81 to 241.2.139.94241.2.139.9514
183241.2.139.96/28241.2.139.97 to 241.2.139.110241.2.139.11114
184241.2.139.112/28241.2.139.113 to 241.2.139.126241.2.139.12714
185241.2.139.128/28241.2.139.129 to 241.2.139.142241.2.139.14314
186241.2.139.144/28241.2.139.145 to 241.2.139.158241.2.139.15914
187241.2.139.160/28241.2.139.161 to 241.2.139.174241.2.139.17514
188241.2.139.176/28241.2.139.177 to 241.2.139.190241.2.139.19114
189241.2.139.192/28241.2.139.193 to 241.2.139.206241.2.139.20714
190241.2.139.208/28241.2.139.209 to 241.2.139.222241.2.139.22314
191241.2.139.224/28241.2.139.225 to 241.2.139.238241.2.139.23914
192241.2.139.240/28241.2.139.241 to 241.2.139.254241.2.139.25514
193241.2.140.0/28241.2.140.1 to 241.2.140.14241.2.140.1514
194241.2.140.16/28241.2.140.17 to 241.2.140.30241.2.140.3114
195241.2.140.32/28241.2.140.33 to 241.2.140.46241.2.140.4714
196241.2.140.48/28241.2.140.49 to 241.2.140.62241.2.140.6314
197241.2.140.64/28241.2.140.65 to 241.2.140.78241.2.140.7914
198241.2.140.80/28241.2.140.81 to 241.2.140.94241.2.140.9514
199241.2.140.96/28241.2.140.97 to 241.2.140.110241.2.140.11114
200241.2.140.112/28241.2.140.113 to 241.2.140.126241.2.140.12714
201241.2.140.128/28241.2.140.129 to 241.2.140.142241.2.140.14314
202241.2.140.144/28241.2.140.145 to 241.2.140.158241.2.140.15914
203241.2.140.160/28241.2.140.161 to 241.2.140.174241.2.140.17514
204241.2.140.176/28241.2.140.177 to 241.2.140.190241.2.140.19114
205241.2.140.192/28241.2.140.193 to 241.2.140.206241.2.140.20714
206241.2.140.208/28241.2.140.209 to 241.2.140.222241.2.140.22314
207241.2.140.224/28241.2.140.225 to 241.2.140.238241.2.140.23914
208241.2.140.240/28241.2.140.241 to 241.2.140.254241.2.140.25514
209241.2.141.0/28241.2.141.1 to 241.2.141.14241.2.141.1514
210241.2.141.16/28241.2.141.17 to 241.2.141.30241.2.141.3114
211241.2.141.32/28241.2.141.33 to 241.2.141.46241.2.141.4714
212241.2.141.48/28241.2.141.49 to 241.2.141.62241.2.141.6314
213241.2.141.64/28241.2.141.65 to 241.2.141.78241.2.141.7914
214241.2.141.80/28241.2.141.81 to 241.2.141.94241.2.141.9514
215241.2.141.96/28241.2.141.97 to 241.2.141.110241.2.141.11114
216241.2.141.112/28241.2.141.113 to 241.2.141.126241.2.141.12714
217241.2.141.128/28241.2.141.129 to 241.2.141.142241.2.141.14314
218241.2.141.144/28241.2.141.145 to 241.2.141.158241.2.141.15914
219241.2.141.160/28241.2.141.161 to 241.2.141.174241.2.141.17514
220241.2.141.176/28241.2.141.177 to 241.2.141.190241.2.141.19114
221241.2.141.192/28241.2.141.193 to 241.2.141.206241.2.141.20714
222241.2.141.208/28241.2.141.209 to 241.2.141.222241.2.141.22314
223241.2.141.224/28241.2.141.225 to 241.2.141.238241.2.141.23914
224241.2.141.240/28241.2.141.241 to 241.2.141.254241.2.141.25514
225241.2.142.0/28241.2.142.1 to 241.2.142.14241.2.142.1514
226241.2.142.16/28241.2.142.17 to 241.2.142.30241.2.142.3114
227241.2.142.32/28241.2.142.33 to 241.2.142.46241.2.142.4714
228241.2.142.48/28241.2.142.49 to 241.2.142.62241.2.142.6314
229241.2.142.64/28241.2.142.65 to 241.2.142.78241.2.142.7914
230241.2.142.80/28241.2.142.81 to 241.2.142.94241.2.142.9514
231241.2.142.96/28241.2.142.97 to 241.2.142.110241.2.142.11114
232241.2.142.112/28241.2.142.113 to 241.2.142.126241.2.142.12714
233241.2.142.128/28241.2.142.129 to 241.2.142.142241.2.142.14314
234241.2.142.144/28241.2.142.145 to 241.2.142.158241.2.142.15914
235241.2.142.160/28241.2.142.161 to 241.2.142.174241.2.142.17514
236241.2.142.176/28241.2.142.177 to 241.2.142.190241.2.142.19114
237241.2.142.192/28241.2.142.193 to 241.2.142.206241.2.142.20714
238241.2.142.208/28241.2.142.209 to 241.2.142.222241.2.142.22314
239241.2.142.224/28241.2.142.225 to 241.2.142.238241.2.142.23914
240241.2.142.240/28241.2.142.241 to 241.2.142.254241.2.142.25514
241241.2.143.0/28241.2.143.1 to 241.2.143.14241.2.143.1514
242241.2.143.16/28241.2.143.17 to 241.2.143.30241.2.143.3114
243241.2.143.32/28241.2.143.33 to 241.2.143.46241.2.143.4714
244241.2.143.48/28241.2.143.49 to 241.2.143.62241.2.143.6314
245241.2.143.64/28241.2.143.65 to 241.2.143.78241.2.143.7914
246241.2.143.80/28241.2.143.81 to 241.2.143.94241.2.143.9514
247241.2.143.96/28241.2.143.97 to 241.2.143.110241.2.143.11114
248241.2.143.112/28241.2.143.113 to 241.2.143.126241.2.143.12714
249241.2.143.128/28241.2.143.129 to 241.2.143.142241.2.143.14314
250241.2.143.144/28241.2.143.145 to 241.2.143.158241.2.143.15914
251241.2.143.160/28241.2.143.161 to 241.2.143.174241.2.143.17514
252241.2.143.176/28241.2.143.177 to 241.2.143.190241.2.143.19114
253241.2.143.192/28241.2.143.193 to 241.2.143.206241.2.143.20714
254241.2.143.208/28241.2.143.209 to 241.2.143.222241.2.143.22314
255241.2.143.224/28241.2.143.225 to 241.2.143.238241.2.143.23914
256241.2.143.240/28241.2.143.241 to 241.2.143.254241.2.143.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses